Bug 240092 - file_lock_cache slab corruption
file_lock_cache slab corruption
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-05-15 00:35 EDT by Jasper O. Hartline
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 21:44:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kernel-2.6.21-1.3142.fc7 oops (1.34 MB, image/jpeg)
2007-05-15 00:38 EDT, Jasper O. Hartline
no flags Details
kernel-2.6.21-1.3142.fc7 oops (4.05 KB, text/plain)
2007-05-15 02:21 EDT, Jasper O. Hartline
no flags Details
kernel-debug-2.6.21-1.3149.fc7 /var/log/messages syslogd text (11.59 KB, text/plain)
2007-05-15 20:02 EDT, Jasper O. Hartline
no flags Details
slab: double free detected in cache 'fs_cache' (2.96 KB, text/plain)
2007-05-18 00:55 EDT, Jasper O. Hartline
no flags Details

  None (edit)
Description Jasper O. Hartline 2007-05-15 00:35:14 EDT
Description of problem:
While under heavy IO running Kadischi with Anaconda on a dual processor machine,
I get a spinlock lockup on CPU#1 message to the terminal, at which point
everything is frozen.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Screenshot will be provided.
Comment 1 Jasper O. Hartline 2007-05-15 00:38:32 EDT
Created attachment 154707 [details]
kernel-2.6.21-1.3142.fc7 oops

I suspect syslogd is logging actions by Anaconda, and some RPM %post scripts,
etc while deploying the package payload for a LiveCD(Kadischi).
Comment 2 Jasper O. Hartline 2007-05-15 02:21:46 EDT
Created attachment 154716 [details]
kernel-2.6.21-1.3142.fc7 oops

Here is some more good stuff from the same kernel, same machine, and same
Kadischi/Anaconda LiveCD build happenning. I was able to grab the section out
of /var/log/messages.txt before it locked up completely.
Comment 3 Dave Jones 2007-05-15 14:28:00 EDT
The current builds have slab debugging (and other debug options) disabled.
There are however kernel-debug packages which are equivalent, with the debugging
turned back on available at

Whilst further diagnosing this bug, it'd be good if you could run with those
instead of the rawhide kernels (there's a .repo file a few dirs up from that
url, you can then just yum install kernel-debug)
Comment 4 Jasper O. Hartline 2007-05-15 20:02:03 EDT
Created attachment 154787 [details]
kernel-debug-2.6.21-1.3149.fc7 /var/log/messages syslogd text

It's starting to seem to drop out on me during mksquashfs, while creating a
SquashFS filesystem of the LiveCD root filesystem, the SquashFS is also a
"parallell" mksquashfs and says it is using both of the processors.

In the attached file I have provided output from lspci, lsmod and ps auxw just
so you know what the system looks like before any operations are done, except
for an initiated Secure Shell connection to the box.

If you are not looking for just this message output from /var/log/messages, let
me know.
Comment 5 Chuck Ebbert 2007-05-16 17:57:21 EDT
Okay, I give up, where's the doc for decoding the hex dumps?
Comment 6 Jasper O. Hartline 2007-05-18 00:55:59 EDT
Created attachment 154975 [details]
slab: double free detected in cache 'fs_cache' 

double free in cache fs_cache

This is another syslogd message immediately after invoking an RPM build process
with `rpmbuild'.
Comment 7 Dave Jones 2007-10-11 02:18:56 EDT
Jasper, are you still seeing this on the 2.6.23 kernels ?
(The messages may have changed slightly since we changed to the slub allocator)
Comment 8 Bug Zapper 2008-04-03 20:41:40 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 21:44:18 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.